{
  inputs,
  outputs,
  lib,
  config,
  pkgs,
  ...
}: {
  # Enable starship
  programs.starship = {
    enable = true;
    catppuccin.enable = true;
  };

  programs.zoxide = {
    enable = true;
  };

  programs.zsh = {
    enable = true;
    shellAliases = {
      cd = "z";
      code = "codium ./";
      lh = "ls -lah";
    };
    plugins = [
      {
        name = "zsh-nix-shell";
        file = "nix-shell.plugin.zsh";
        src = pkgs.fetchFromGitHub {
          owner = "chisui";
          repo = "zsh-nix-shell";
          rev = "v0.8.0";
          sha256 = "sha256-Z6EYQdasvpl1P78poj9efnnLj7QQg13Me8x1Ryyw+dM=";
        };
      }
    ];
    autosuggestion.enable = true;
    enableCompletion = true;
    historySubstringSearch.enable = true;
    syntaxHighlighting.enable = true;
    #zsh-abbr.enable = true;
    oh-my-zsh = {
      enable = true;
      plugins = [
        "git"
        "colored-man-pages"
        "colorize"
        "fancy-ctrl-z"
        "git-flow"
        "isodate"
        "z"
      ];
    };
    # stuff for zoxide
    initExtra = ''
      eval "$(zoxide init --cmd cd zsh)"
    '';
  };
}
